Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Apply campaign revision

POST /api/v1/campaign-revisions/apply

Apply an exact previewed prelaunch campaign revision after confirmation. Refuses stale previews and live or scheduled campaigns. Does not source, research, write, schedule, or send.

Parameters

workspaceIdrequired
string
No description.
briefIdrequired
string
No description.
segmentIdrequired
string
No description.
expectedVersionrequired
integer
No description.
proposedPlanrequired
object
No description.
expectedSegmentUpdatedAt
string
No description.
segmentPatch
object
No description.
reason
string
No description.
proposalFingerprintrequired
string
No description.
rowCohortrequired
object
No description.
confirmrequired
boolean
No description.

Example

REST requestbash
curl -X POST "https://app.pipeline.help/api/v1/campaign-revisions/apply" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"workspaceId":"00000000-0000-4000-8000-000000000001","briefId":"00000000-0000-4000-8000-000000000002","segmentId":"00000000-0000-4000-8000-000000000003","expectedVersion":1,"proposedPlan":{},"proposalFingerprint":"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","rowCohort":{},"confirm":true}'

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"version": {
"type": "number"
},
"alreadyApplied": {
"type": "boolean"
},
"changedFields": {
"type": "array",
"items": {
"type": "string"
}
},
"proposalFingerprint": {
"type": "string"
},
"impact": {
"type": "object"
},
"validation": {
"type": "object"
}
},
"required": [
"version",
"alreadyApplied",
"changedFields",
"proposalFingerprint",
"impact",
"validation"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline